	.file	"dexttest.c"
#NO_APP
/* Include Patch: __not_reg_relative */
	.macro __save_the_stack_pointer
		move.l %sp,__save__sp__
	.endm
	.data
tigcc_compiled.:
	.set _A_LINE,0xA000
#APP
/* Main Startup Code */
	.even
	move.l 0xC8,%a0
	/* Calculator Detection */
	moveq #1,%d0
	move.l %a0,%d1
	and.l #0x400000,%d1
	jbne __calc_in_d0__
	clr.w %d0
	move.l (%a0,0x2F*4),%a1 /* ScrRect */
	cmp.b #200,2(%a1)
	jbcs __calc_in_d0__
	moveq #3,%d0
__calc_in_d0__:
	lea __calculator(%pc),%a1
	move.w %d0,(%a1)
__calc_is_OK__:
	/* Screen Saving Support */
	pea.l (%a2)
	lea (%sp,-3840),%sp
	pea 3840
	pea 0x4C00
	pea (%sp,8)
	move.l (%a0,0x26A*4),%a2 /* memcpy */
	jsr (%a2)
	/* Support for exit and atexit */
	movem.l %d3-%d7/%a2-%a6,-(%sp)
	/* Support for Returning Errors */
	lea (%sp,-60),%sp
	pea.l (%sp)
	move.l 0xC8,%a0
	move.l (%a0,0x154*4),%a0 /* ER_catch */
	jsr (%a0)
	tst.w %d0
	jbne __error_returned__
	jbsr _main
	/* Support for Returning Errors (Cleanup) */
	move.l 0xC8,%a0
	move.l (%a0,0x155*4),%a0 /* ER_success */
	jsr (%a0)
	clr.w %d0
__error_returned__:
	move.w %d0,__error_num__
	lea (%sp,64),%sp
	movem.l (%sp)+,%d3-%d7/%a2-%a6
	/* Screen Saving Support (Restoring) */
	pea 3840
	pea (%sp,16)
	pea 0x4C00
	jsr (%a2)
	lea (%sp,3864),%sp
	movea.l (%sp)+,%a2
	/* Support for Returning Errors (Re-Throwing) */
	tst.w __error_num__
	jbeq __no_error__
	or.w #_A_LINE,__error_num__
	move.l 0xC8,%a2
	cmp.l #1000,(%a2,-4) /* TIOS_entries */
	jbcc __ams_1_err_handling_not_needed__
	pea.l tigcc_compiled.-2
	move.l (%a2,0x23A*4),%a0 /* HeapPtrToHandle */
	jsr (%a0)
	tst.w %d0
	jbeq __ams_1_err_handling_not_needed__
	move.w %d0,-(%sp)
	move.l (%a2,0x9F*4),%a0 /* HeapUnlock */
	jsr (%a0)
__ams_1_err_handling_not_needed__:
__error_num__:
	.word 0
__no_error__:
	rts
	.xdef __save__sp__
	.even
__save__sp__:
	.long 0
	.xdef __calculator
	.even
__calculator:
	.word -1
	.even
#NO_APP
#APP
	.xdef _ti89
	.xdef _ti92plus
	/* Include Patch: _detect_calc_ */
	/* Include Patch: _need_calculator_var_ */
	/* Include Patch: _MIN_AMS_not_required_ */
	/* Include Patch: dont_set_file_inuse_bit */
	/* Include Patch: nostub_patch */
	/* Include Patch: nostub_optimize_rom_calls */
	/* Include Patch: nostub_save_screen */
	/* Include Patch: no_retval */
	/* Include Patch: nostub_exit_support */
	/* Include Patch: save_the_sp */
	/* Include Patch: special_error_return_support */
	/* Include Patch: ams_1_error_return_support */
	/* Include Patch: complex_main */
	.set MT_TEXT,0x8000
	.set MT_XREF,0x9000
	.set MT_ICON,0xA000
	.set MT_CASCADE,0x4000
#NO_APP
	.data
.LC0:
	.ascii "File pointer at: 0x%lp\12Data extension pointer\12at: 0x%lp\12Expected at: 0x%lp\12\0"
.LC1:
	.ascii "Spec version: %u.%u.%u.%u\12\0"
.LC2:
	.ascii "%u extensions\0"
.LC11:
	.ascii "DE_COMMENT\0"
.LC10:
	.ascii "DE_PROGRAM_NAME\0"
.LC9:
	.ascii "DE_VERSION_STRING\0"
.LC8:
	.ascii "DE_VERSION_NUMBER\0"
.LC7:
	.ascii "DE_BW_ICON\0"
.LC6:
	.ascii "DE_GRAYSCALE_ICON\0"
.LC5:
	.ascii "DE_INCOMPAT_FLAGS\0"
.LC3:
	.ascii "(reserved)\0"
.LC4:
	.ascii "(shell-specific)\0"
.LC12:
	.ascii "Extension n\260%u\12Extension type ID: %u\12Extension type:\12%s\12Data offset: %u\12Data pointer: 0x%lp\12SrchDExt ptr: 0x%lp\12SrchDExtEx ptr: 0x%lp\0"
.LC13:
	.ascii "(no comment)\0"
.LC14:
	.ascii "Comment pointer: 0x%lp\12Comment:\12%s\0"
.LC15:
	.ascii "(no program name)\0"
.LC16:
	.ascii "Program name ptr: 0x%lp\12Program name:\12%s\0"
.LC17:
	.ascii "(memory error)\0"
.LC18:
	.ascii "NULL\0"
.LC19:
	.ascii "Version string (no throw):\12%s\12Version string (throw):\12%s\12Version str&num (no thrw):\12%s\12Version str&num (throw):\12%s\12\0"
.LC20:
	.ascii "No version number.\12\0"
.LC21:
	.ascii "Version number: %u.%u.%u.%u\12\0"
.LC22:
	.ascii "Needs\0"
.LC23:
	.ascii "Doesn't need\0"
.LC24:
	.ascii "Uses\0"
.LC25:
	.ascii "Doesn't use\0"
.LC26:
	.ascii "Creates\0"
.LC27:
	.ascii "Doesn't create\0"
.LC28:
	.ascii "Incompatibility flags:\12"
	.ascii "0x%lx\12%s handles\12%s traps\12%s vectors\12%s EV_hook\12%s all stack\0"
	.even
	.globl	_main
_main:
#APP
	move.l %sp,__save__sp__
	/* Support for OPTIMIZE_ROM_CALLS */
	move.l 0xC8,%a5
#NO_APP
	link.w %a6,#-128
	movm.l #0x1f38,-(%sp)
	move.l 1060(%a5),%a0
	move.l (%a0),%a0
	move.b (%a0),%d0
	cmp.b #-27,%d0
	jbne .L2
	.word _A_LINE+930
	.even
.L2:
	cmp.b #45,%d0
	jbeq .L3
	.word _A_LINE+130
	.even
.L3:
	move.l %a0,%d1
	subq.l #2,%a0
.L4:
	move.b (%a0),%d0
	subq.l #1,%a0
	jbne .L4
	move.l %d1,%d3
	subq.l #1,%d3
	cmp.b #-27,(%a0)
	jbeq .L8
	.word _A_LINE+940
	.even
.L8:
	jbsr clrscr
	clr.w -(%sp)
	move.l %d3,-(%sp)
	move.l 2572(%a5),%a0
	jbsr (%a0)
	addq.l #6,%sp
	cmp.w #0,%a0
	jbeq .L73
	move.w 12(%a0),-122(%a6)
	jbne .L10
.L73:
	.word _A_LINE+960
	.even
.L10:
	move.w -122(%a6),-(%sp)
	move.l 620(%a5),%a0
	jbsr (%a0)
	move.w %d0,-124(%a6)
	move.w -122(%a6),-(%sp)
	move.l 612(%a5),%a0
	jbsr (%a0)
	move.l %a0,%a2
	lea (2,%a0),%a4
	move.w #1,-(%sp)
	move.l 1596(%a5),%a0
	jbsr (%a0)
	move.b %d0,-125(%a6)
	move.l %a4,%a0
	jbsr DataExtensionPointer
	move.l %a0,%a3
	pea 20(%a2)
	move.l %a0,-(%sp)
	move.l %a4,-(%sp)
	pea .LC0
	jbsr printf
	lea (22,%sp),%sp
	cmp.w #0,%a3
	jbeq .L11
	clr.w %d0
	move.b 3(%a3),%d0
	move.w %d0,-(%sp)
	clr.w %d0
	move.b 2(%a3),%d0
	move.w %d0,-(%sp)
	clr.w %d0
	move.b 1(%a3),%d0
	move.w %d0,-(%sp)
	clr.w %d0
	move.b (%a3),%d0
	move.w %d0,-(%sp)
	pea .LC1
	jbsr printf
	move.w 4(%a3),-(%sp)
	pea .LC2
	jbsr printf
	move.l 324(%a5),%a0
	jbsr (%a0)
	clr.w %d7
	lea (18,%sp),%sp
	cmp.w 4(%a3),%d7
	jbcc .L72
.L32:
	clr.l %d0
	move.w %d7,%d0
	lsl.l #2,%d0
	lea (%a3,%d0.l),%a2
	move.w 6(%a2),%d6
	addq.l #8,%a2
	clr.l %d5
	move.w (%a2),%d5
	move.w %d6,%d0
	move.l %a3,%a0
	jbsr SearchDataExtension
	move.l %a0,%d4
	move.w %d6,%d0
	move.l %a4,%a1
	move.l %a3,%a0
	jbsr SearchDataExtensionEx
	move.l %a0,%d3
	jbsr clrscr
	move.l %d3,-(%sp)
	move.l %d4,-(%sp)
	pea (%a4,%d5.l)
	move.w (%a2),-(%sp)
	move.l #.LC11,%d0
	tst.w %d6
	jbeq .L17
	move.l #.LC10,%d0
	cmp.w #1,%d6
	jbeq .L17
	move.l #.LC9,%d0
	cmp.w #2,%d6
	jbeq .L17
	move.l #.LC8,%d0
	cmp.w #3,%d6
	jbeq .L17
	move.l #.LC7,%d0
	cmp.w #4,%d6
	jbeq .L17
	move.l #.LC6,%d0
	cmp.w #5,%d6
	jbeq .L17
	move.l #.LC5,%d0
	cmp.w #6,%d6
	jbeq .L17
	move.l #.LC3,%d0
	tst.w %d6
	jbge .L17
	move.l #.LC4,%d0
.L17:
	move.l %d0,-(%sp)
	move.w %d6,-(%sp)
	move.w %d7,-(%sp)
	pea .LC12
	jbsr printf
	move.l 324(%a5),%a0
	jbsr (%a0)
	lea (26,%sp),%sp
	addq.w #1,%d7
	cmp.w 4(%a3),%d7
	jbcs .L32
.L72:
	lea clrscr,%a4
	jbsr (%a4)
	move.l %a3,%a0
	jbsr GetDEComment
	move.l %a0,%d3
	lea .LC13,%a1
	move.l %a3,%a0
	jbsr GetDECommentEx
	move.l %a0,-(%sp)
	move.l %d3,-(%sp)
	pea .LC14
	lea printf,%a2
	jbsr (%a2)
	move.l 324(%a5),%a0
	jbsr (%a0)
	jbsr (%a4)
	move.l %a3,%a0
	jbsr GetDEProgramName
	move.l %a0,%d3
	lea .LC15,%a1
	move.l %a3,%a0
	jbsr GetDEProgramNameEx
	move.l %a0,-(%sp)
	move.l %d3,-(%sp)
	pea .LC16
	jbsr (%a2)
	move.l 324(%a5),%a0
	jbsr (%a0)
	jbsr (%a4)
	move.l %a3,%a0
	jbsr GetDEVersionString
	move.l %a0,%d4
	pea -60(%a6)
	move.l 1360(%a5),%a0
	jbsr (%a0)
	lea (28,%sp),%sp
	move.l #.LC17,%d6
	tst.w %d0
	jbne .L34
	move.l %a3,%a0
	jbsr GetDEVersionStringThrow
	move.l %a0,%d6
	move.l 1364(%a5),%a0
	jbsr (%a0)
.L34:
	move.l %a3,%a0
	jbsr GetDEVersionStringAndNumber
	move.l %a0,%d3
	pea -120(%a6)
	move.l 1360(%a5),%a0
	jbsr (%a0)
	addq.l #4,%sp
	move.l #.LC17,%d5
	tst.w %d0
	jbne .L36
	move.l %a3,%a0
	jbsr GetDEVersionStringAndNumberThrow
	move.l %a0,%d5
	move.l 1364(%a5),%a0
	jbsr (%a0)
.L36:
	move.l %d5,%d0
	jbne .L38
	move.l #.LC18,%d0
.L38:
	move.l %d0,-(%sp)
	move.l %d3,%d0
	jbne .L40
	move.l #.LC18,%d0
.L40:
	move.l %d0,-(%sp)
	move.l %d6,%d0
	jbne .L42
	move.l #.LC18,%d0
.L42:
	move.l %d0,-(%sp)
	move.l %d4,%d0
	jbne .L44
	move.l #.LC18,%d0
.L44:
	move.l %d0,-(%sp)
	pea .LC19
	jbsr (%a2)
	lea (20,%sp),%sp
	tst.l %d4
	jbeq .L45
	move.l %d4,-(%sp)
	move.l 652(%a5),%a0
	jbsr (%a0)
	addq.l #4,%sp
.L45:
	tst.l %d6
	jbeq .L46
	cmp.l #.LC17,%d6
	jbeq .L46
	move.l %d6,-(%sp)
	move.l 652(%a5),%a0
	jbsr (%a0)
	addq.l #4,%sp
.L46:
	tst.l %d3
	jbeq .L47
	move.l %d3,-(%sp)
	move.l 652(%a5),%a0
	jbsr (%a0)
	addq.l #4,%sp
.L47:
	tst.l %d5
	jbeq .L48
	cmp.l #.LC17,%d5
	jbeq .L48
	move.l %d5,-(%sp)
	move.l 652(%a5),%a0
	jbsr (%a0)
	addq.l #4,%sp
.L48:
	move.l 324(%a5),%a0
	jbsr (%a0)
	jbsr (%a4)
	move.l %a3,%a0
	jbsr GetDEVersionNumber
	cmp.w #0,%a0
	jbne .L49
	pea .LC20
	jbsr (%a2)
	addq.l #4,%sp
	jbra .L50
	.even
.L49:
	clr.w %d0
	move.b 3(%a0),%d0
	move.w %d0,-(%sp)
	clr.w %d0
	move.b 2(%a0),%d0
	move.w %d0,-(%sp)
	clr.w %d0
	move.b 1(%a0),%d0
	move.w %d0,-(%sp)
	clr.w %d0
	move.b (%a0),%d0
	move.w %d0,-(%sp)
	pea .LC21
	jbsr (%a2)
	lea (12,%sp),%sp
.L50:
	move.l %a3,%a0
	jbsr GetDEIncompatFlags
	move.l %d0,%d1
	move.l #.LC22,%d0
	btst #4,%d1
	jbne .L52
	move.l #.LC23,%d0
.L52:
	move.l %d0,-(%sp)
	move.l #.LC24,%d0
	btst #3,%d1
	jbne .L54
	move.l #.LC25,%d0
.L54:
	move.l %d0,-(%sp)
	move.l #.LC24,%d0
	btst #2,%d1
	jbne .L56
	move.l #.LC25,%d0
.L56:
	move.l %d0,-(%sp)
	move.l #.LC24,%d0
	btst #1,%d1
	jbne .L58
	move.l #.LC25,%d0
.L58:
	move.l %d0,-(%sp)
	moveq.l #1,%d0
	and.l %d1,%d0
	move.l #.LC26,%d2
	tst.w %d0
	jbne .L60
	move.l #.LC27,%d2
.L60:
	move.l %d2,-(%sp)
	move.l %d1,-(%sp)
	pea .LC28
	jbsr printf
	move.l 324(%a5),%a0
	jbsr (%a0)
	jbsr (%a4)
	moveq.l #10,%d1
	moveq.l #10,%d0
	move.w #19456,%a1
	move.l %a3,%a0
	jbsr DrawDEBWIcon
	lea (28,%sp),%sp
	tst.w %d0
	jbne .L61
	move.l 1676(%a5),%a0
	jbsr (%a0)
	move.w #1,-(%sp)
	subq.l #2,%sp
	move.b #88,1(%sp)
	move.w #10,-(%sp)
	move.w #10,-(%sp)
	move.l 1680(%a5),%a0
	jbsr (%a0)
	addq.l #8,%sp
.L61:
	lea DrawDEScaledBWIcon,%a2
	moveq.l #8,%d3
	moveq.l #8,%d2
	moveq.l #50,%d1
	moveq.l #10,%d0
	move.w #19456,%a1
	move.l %a3,%a0
	jbsr (%a2)
	tst.w %d0
	jbne .L62
	move.l 1676(%a5),%a0
	jbsr (%a0)
	move.w #1,-(%sp)
	subq.l #2,%sp
	move.b #88,1(%sp)
	move.w #50,-(%sp)
	move.w #10,-(%sp)
	move.l 1680(%a5),%a0
	jbsr (%a0)
	addq.l #8,%sp
.L62:
	moveq.l #32,%d3
	moveq.l #32,%d2
	moveq.l #10,%d1
	moveq.l #50,%d0
	move.w #19456,%a1
	move.l %a3,%a0
	jbsr (%a2)
	tst.w %d0
	jbne .L63
	move.l 1676(%a5),%a0
	jbsr (%a0)
	move.w #1,-(%sp)
	subq.l #2,%sp
	move.b #88,1(%sp)
	move.w #10,-(%sp)
	move.w #50,-(%sp)
	move.l 1680(%a5),%a0
	jbsr (%a0)
	addq.l #8,%sp
.L63:
	move.l 324(%a5),%a0
	jbsr (%a0)
	jbsr GrayOn
	tst.w %d0
	jbne .L64
	move.b -125(%a6),%d0
	clr.w -(%sp)
	move.b %d0,1(%sp)
	move.l 1596(%a5),%a0
	jbsr (%a0)
	addq.l #2,%sp
	tst.w -124(%a6)
	jbne .L65
	move.w -122(%a6),-(%sp)
	move.l 636(%a5),%a0
	jbsr (%a0)
	addq.l #2,%sp
.L65:
	.word _A_LINE+670
	.even
.L64:
	move.l __D_plane,%d4
	move.w #127,-(%sp)
	move.w #239,-(%sp)
	move.l %d4,-(%sp)
	move.l 1672(%a5),%a0
	jbsr (%a0)
	move.l 1656(%a5),%a0
	jbsr (%a0)
	move.l __L_plane,%d5
	move.w #127,-(%sp)
	move.w #239,-(%sp)
	move.l %d5,-(%sp)
	move.l 1672(%a5),%a0
	jbsr (%a0)
	move.l 1656(%a5),%a0
	jbsr (%a0)
	moveq.l #10,%d1
	moveq.l #10,%d0
	move.l %d5,%a2
	move.l %d4,%a1
	move.l %a3,%a0
	jbsr DrawDEGrayscaleIcon
	lea (16,%sp),%sp
	tst.w %d0
	jbne .L66
	move.w #127,-(%sp)
	move.w #239,-(%sp)
	move.l %d4,-(%sp)
	move.l 1672(%a5),%a0
	jbsr (%a0)
	move.w #1,-(%sp)
	subq.l #2,%sp
	move.b #88,1(%sp)
	move.w #10,-(%sp)
	move.w #10,-(%sp)
	move.l 1680(%a5),%a0
	jbsr (%a0)
	move.w #127,-(%sp)
	move.w #239,-(%sp)
	move.l %d5,-(%sp)
	move.l 1672(%a5),%a0
	jbsr (%a0)
	move.w #1,-(%sp)
	subq.l #2,%sp
	move.b #88,1(%sp)
	move.w #10,-(%sp)
	move.w #10,-(%sp)
	move.l 1680(%a5),%a0
	jbsr (%a0)
	lea (32,%sp),%sp
.L66:
	lea DrawDEScaledGrayscaleIcon,%a4
	moveq.l #8,%d3
	moveq.l #8,%d2
	moveq.l #50,%d1
	moveq.l #10,%d0
	move.l %d4,%a1
	move.l %a3,%a0
	jbsr (%a4)
	tst.w %d0
	jbne .L67
	move.w #127,-(%sp)
	move.w #239,-(%sp)
	move.l %d4,-(%sp)
	move.l 1672(%a5),%a0
	jbsr (%a0)
	move.w #1,-(%sp)
	subq.l #2,%sp
	move.b #88,1(%sp)
	move.w #50,-(%sp)
	move.w #10,-(%sp)
	move.l 1680(%a5),%a0
	jbsr (%a0)
	move.w #127,-(%sp)
	move.w #239,-(%sp)
	move.l %d5,-(%sp)
	move.l 1672(%a5),%a0
	jbsr (%a0)
	move.w #1,-(%sp)
	subq.l #2,%sp
	move.b #88,1(%sp)
	move.w #50,-(%sp)
	move.w #10,-(%sp)
	move.l 1680(%a5),%a0
	jbsr (%a0)
	lea (32,%sp),%sp
.L67:
	moveq.l #32,%d3
	moveq.l #32,%d2
	moveq.l #10,%d1
	moveq.l #50,%d0
	move.l %d4,%a1
	move.l %a3,%a0
	jbsr (%a4)
	tst.w %d0
	jbne .L68
	move.w #127,-(%sp)
	move.w #239,-(%sp)
	move.l %d4,-(%sp)
	move.l 1672(%a5),%a0
	jbsr (%a0)
	move.w #1,-(%sp)
	subq.l #2,%sp
	move.b #88,1(%sp)
	move.w #10,-(%sp)
	move.w #50,-(%sp)
	move.l 1680(%a5),%a0
	jbsr (%a0)
	move.w #127,-(%sp)
	move.w #239,-(%sp)
	move.l %d5,-(%sp)
	move.l 1672(%a5),%a0
	jbsr (%a0)
	move.w #1,-(%sp)
	subq.l #2,%sp
	move.b #88,1(%sp)
	move.w #10,-(%sp)
	move.w #50,-(%sp)
	move.l 1680(%a5),%a0
	jbsr (%a0)
	lea (32,%sp),%sp
.L68:
	move.l 324(%a5),%a0
	jbsr (%a0)
	jbsr GrayOff
	jbra .L69
	.even
.L11:
	move.l 324(%a5),%a0
	jbsr (%a0)
.L69:
	move.b -125(%a6),%d0
	clr.w -(%sp)
	move.b %d0,1(%sp)
	move.l 1596(%a5),%a0
	jbsr (%a0)
	addq.l #2,%sp
	tst.w -124(%a6)
	jbne .L1
	move.w -122(%a6),-(%sp)
	move.l 636(%a5),%a0
	jbsr (%a0)
	addq.l #2,%sp
.L1:
	movm.l -160(%a6),#0x1cf8
	unlk %a6
	rts
.comm _nostub,2
